Bug 693084 - Screen dim on resume while on battery power
Screen dim on resume while on battery power
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
14
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-02 09:47 EDT by Ed Wolfe
Modified: 2012-01-10 11:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It seems since I installed the group of patches that came out with kernel 2.6.35.13-91.fc14.i686 I am no longer able to reproduce the problem. It seems to have been fixed with one of those patches. This is the set that was applied: from yum.log: May 11 08:59:59 Updated: 2:ntfs-3g-2011.4.12-2.fc14.i686 May 11 09:00:00 Updated: 2:ntfsprogs-2011.4.12-2.fc14.i686 May 11 09:00:01 Updated: orc-0.4.14-1.fc14.i686 May 11 09:00:02 Updated: ibus-m17n-1.3.2-2.fc14.i686 May 11 09:00:03 Updated: polkit-0.98-5.fc14.i686 May 11 09:00:10 Installed: kernel-2.6.35.13-91.fc14.i686 May 11 09:00:12 Updated: kernel-headers-2.6.35.13-91.fc14.i686 May 11 09:00:21 Updated: seamonkey-2.0.14-1.fc14.i686 May 11 09:00:37 Installed: kernel-devel-2.6.35.13-91.fc14.i686 May 11 09:00:38 Updated: polkit-desktop-policy-0.98-5.fc14.noarch May 13 20:31:24 Updated: flash-plugin-10.3.181.14-release.i386
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-10 11:46:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from pm-utils-bugreport-info.sh (7.86 KB, text/plain)
2011-05-12 20:27 EDT, Ed Wolfe
no flags Details

  None (edit)
Description Ed Wolfe 2011-04-02 09:47:27 EDT
Description of problem:

 


Version-Release number of selected component (if applicable):

FC 14 Linux kona 2.6.35.11-83.fc14.i686 #1 SMP Mon Feb 7 07:04:18 UTC 2011 i686 i686 i386 GNU/Linux



How reproducible:

While on battery power if I allow the system to suspend, on resume the screen will be very dim.  If I check power management dim screen while on battery is not selected.  If I do select it the screen dims more.  The keyboard contols for brightness will only increase or reduce brightness within this new lower range.  If I plug in the power cable the screen will regain full brightness.  If I then remove the battery cable it will keep this level of brightness until it is suspended again. This system is a dual boot with Windows 7.  I cannot reproduce this issue with Windows 7.  


Steps to Reproduce:
1.  Unplug power cable from laptop
2.  Close laptop to suspend
3.  Re-open laptop to resume, screen will now be dim
  
Actual results:  Dim Scren


Expected results:  Screen, as bright as it was before suspend


Additional info:

Thinkpad T510,
Comment 1 Elad Alfassa 2011-05-04 14:20:57 EDT
Throwing into approximate direction, please, reassign as appropriate. (was 0xFFFF)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Jaroslav Škarvada 2011-05-05 10:17:28 EDT
Please check actual_brightness, brightness, max_brightness in /sys/devices/virtual/backlight/acpi_video0 before suspend and after resume. Is there difference in content? Also try to set the brightness by hand by executing e.g.:

# echo 9 > /sys/devices/virtual/backlight/acpi_video0/brightness

Where the number 9 is from the interval 0 - max_brightness. Are you able to restore the brightness by this method?
Comment 3 Ed Wolfe 2011-05-11 21:20:44 EDT
As you requested, I checked the actual_brightness, brightness, and max_brightness before, during and after. They are all 15 every time.  They never vary, even when the screen dims.  As you also suggested, If I run: echo 15 > /sys/devices/virtual/backlight/acpi_video0/brightness, the screen brightness returns.  Thanks, now I at least have a workaround, and it sounds like you are on the right track.
Comment 4 Jaroslav Škarvada 2011-05-12 03:27:08 EDT
Thanks for info, it looks like kernel issue. Please provide output of:
# pm-utils-bugreport-info.sh
I will decide from its content.
Comment 5 Ed Wolfe 2011-05-12 20:27:30 EDT
Created attachment 498654 [details]
Output from pm-utils-bugreport-info.sh
Comment 6 Jaroslav Škarvada 2011-05-13 03:23:09 EDT
Thank. Please could you retest with F15 (e.g. from liveCD/USB)?
Comment 7 Ed Wolfe 2011-05-20 20:12:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It seems since I installed the group of patches that came out with kernel 2.6.35.13-91.fc14.i686 I am no longer able to reproduce the problem. It seems to have been fixed with one of those patches.
Comment 8 Ed Wolfe 2011-05-20 20:18:38 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,15 @@
-It seems since I installed the group of patches that came out with kernel 2.6.35.13-91.fc14.i686 I am no longer able to reproduce the problem. It seems to have been fixed with one of those patches.+It seems since I installed the group of patches that came out with kernel 2.6.35.13-91.fc14.i686 I am no longer able to reproduce the problem. It seems to have been fixed with one of those patches.  This is the set that was applied: 
+
+from yum.log:
+
+May 11 08:59:59 Updated: 2:ntfs-3g-2011.4.12-2.fc14.i686
+May 11 09:00:00 Updated: 2:ntfsprogs-2011.4.12-2.fc14.i686
+May 11 09:00:01 Updated: orc-0.4.14-1.fc14.i686
+May 11 09:00:02 Updated: ibus-m17n-1.3.2-2.fc14.i686
+May 11 09:00:03 Updated: polkit-0.98-5.fc14.i686
+May 11 09:00:10 Installed: kernel-2.6.35.13-91.fc14.i686
+May 11 09:00:12 Updated: kernel-headers-2.6.35.13-91.fc14.i686
+May 11 09:00:21 Updated: seamonkey-2.0.14-1.fc14.i686
+May 11 09:00:37 Installed: kernel-devel-2.6.35.13-91.fc14.i686
+May 11 09:00:38 Updated: polkit-desktop-policy-0.98-5.fc14.noarch
+May 13 20:31:24 Updated: flash-plugin-10.3.181.14-release.i386
Comment 9 Jaroslav Škarvada 2012-01-10 11:46:38 EST
According to comments, the problem seems to be resolved and F14 is EOL, thus closing.

Note You need to log in before you can comment on or make changes to this bug.